> ## Documentation Index
> Fetch the complete documentation index at: https://docs.variable.global/llms.txt
> Use this file to discover all available pages before exploring further.

# List Scopes

> Get a list of Scopes.

export const permission_0 = 'scope:read'

<Info>Requires permission: **{permission_0}**</Info>


## OpenAPI

````yaml GET /v1/scope
openapi: 3.0.1
info:
  title: Variable API
  description: This is the Variable API
  version: 1.1.0
servers:
  - url: https://app.variable.global/api
security:
  - basicAuth: []
  - bearerAuth: []
  - oAuthNoScopes: []
paths:
  /v1/scope:
    get:
      summary: Get a list of scopes
      responses:
        '200':
          description: A list of scopes
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Scope'
        '401':
          description: ExpiredToken
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpiredTokenResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    Scope:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        name:
          type: string
          example: 'Scope 2: Electricity'
    ExpiredTokenResponse:
      type: object
      properties:
        message:
          type: string
          example: token expired
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    oAuthNoScopes:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /auth/token
          scopes: {}

````